#include "stdafx.h"

#include <iostream>
#include <string>
#include <sstream>
#include "Person.h"
#include "Employee.h"
#include "Manager.h"

using namespace std;

Manager::Manager(const string & n, int a, double sal, int jg, const string & sec)
	: Employee(n, a, sal, jg),
	  sector(sec)
{
	cout << "\nManager object created\n";
}

Manager::~Manager()
{	
	cout << "\nGoodbye from Manager dtor\n";
}

bool Manager::HasSuperior() const
{
	return false;
}

void Manager::DeductionCut()
{
	salary -= 10000;
}

string Manager::ToString() const
{
	stringstream stm;
	stm << Employee::ToString() << " " << sector;
	return stm.str();
}

