#include "stdafx.h"

#include <iostream>
#include <string>
#include <sstream>
#include "Person.h"
#include "Student.h"

using namespace std;

Student::Student(const string & n, int a, const string & s, int g)   
	: Person(n, a),
   	  subject(s),
	  grade(g)
{
	cout << "\nStudent object created\n";
}

Student::~Student()
{	
	cout << "\nGoodbye from Student dtor\n";
}

string Student::ToString() const
{
	stringstream stm;
	stm << Person::ToString() << " " << subject << " " << grade;
	return stm.str();
}