#pragma once //takes advantage of #pragma once compiler optimizations				HEADER GUARD

#include "stdafx.h"
#include <iostream>
#include <sstream>
#include <string>
#include "Person.h"

using namespace std;

class Student : public Person
{
private:
	string subject;
	int grade;

public:
	Student(const string & n, int a, const string & s, int g);
	~Student();   
	
	virtual string ToString() const;
	string GetSubject() const;
	int GetGrade() const;
};


inline string Student::GetSubject() const
{
	return subject;
}


inline int Student::GetGrade() const
{
	return grade;
}
