#pragma once //takes advantage of #pragma once compiler optimizations				HEADER GUARD

#include "stdafx.h"

#include <iostream>
#include <sstream>
#include <string>
#include "Person.h"
#include "Employee.h"
#include <vector>

using namespace std;

class Developer : public Employee
{
private:
	vector<string> skills;

public:
	Developer(const string& n, int a, double sal, int jg);
	virtual ~Developer();
	
	virtual string ToString() const;
	void AddSkill(const string & skill);
	bool HasSkill(const string & skill) const;

	bool HasSuperior() const;
	void DeductionCut();
};
