#include "stdafx.h"

#include <iostream>
#include <string>
#include <sstream>
#include "Person.h"
#include "Employee.h"

using namespace std;

Employee::Employee(const string & n, int a, double sal, int jg)
	: Person(n, a),
	  salary(sal),
	  jobgrade(jg)
{
	cout << "\nEmployee object created\n";
}

Employee::~Employee()
{	
	cout << "\nGoodbye from Employee dtor\n";
}

string Employee::ToString() const
{
	stringstream stm;
	stm << Person::ToString() << " " << salary << " " << jobgrade;
	return stm.str();
}

int Employee::YearsToRetire() const
{
	return 65 - GetAge();
}

void Employee::Promote()
{
	salary += jobgrade * 1000;
}
