#pragma once //takes advantage of #pragma once compiler optimizations				HEADER GUARD

#include "stdafx.h"

#include <iostream>
#include <sstream>
#include <string>
#include "Person.h"

using namespace std;

class Employee : public Person
{
private:
	int jobgrade;

protected:
	double salary;

public:
	Employee(const string & n, int a, double sal, int jg);	
	virtual ~Employee();				

	virtual string ToString() const;
	double GetSalary() const;
	int GetJobgrade() const;
	int YearsToRetire() const;
	void Promote();
	
	virtual bool HasSuperior() const = 0;
	virtual void DeductionCut() = 0;
};


inline double Employee::GetSalary() const
{
	return salary;
}


inline int Employee::GetJobgrade() const
{
	return jobgrade;
}
