#pragma once 

#include "stdafx.h"
#include <iostream>
#include <sstream>
#include <string>

using namespace std;

class Person
{
private:
	string name;
	int age;

public:
	Person(const string & name="unknown", int age = 0);  
	~Person(); 
	
	virtual string ToString() const;
	string GetName() const;
	int GetAge() const;
};


inline string Person::GetName() const
{
	return name;
}


inline int Person::GetAge() const
{
	return age;
}
